Confluence has been updated to version 6.15.9

Problem

When syncing Epics with Exalate for Jira on-premise, the stories are getting duplicated in case any transition errors occur. 

Cause

There were some changes done to the Exalate code in release 5.2.2 and it is required to update the External scripts to avoid the duplication issue.

This will apply to an outdated version of supported scripts, including the following scripts:

  • Epic.groovy
  • IssueLinks.groovy
  • SimpleSprintSync.groovy
  • Status.groovy
  • SubTask.groovy

Solution

Check the list of supported external scripts and update them accordingly. 

Replace the following files with the latest versions:


Back to How to deal with specific errors